API Reference
Webhooks
Subscriptions, deliveries and the event catalogue.
16 endpoints· Auth: JWT
get
/api/v1/console/developers/webhook-deliveries JWTGet webhook-deliveries
Query parameters
| SubscriptionId string (uuid) | — |
| Status string | — |
| EventType string | — |
| ResourceType string | — |
| From string (date-time) | — |
| To string (date-time) | — |
| Page integer (int32) | — |
| PerPage integer (int32) | — |
| Search string | — |
| Skip integer (int32) | — |
| Sort string | — |
| Dir string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/developers/webhook-deliveries" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Query parameters
Set credentials in the “Authorize” menu
get
/api/v1/console/developers/webhook-deliveries/{id} JWTGet id
Path parameters
| idrequired string (uuid) | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/developers/webhook-deliveries/{id}" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Set credentials in the “Authorize” menu
post
/api/v1/console/developers/webhook-deliveries/{id}/retry JWTCreate retry
Path parameters
| idrequired string (uuid) | — |
Request body
application/json
{
"reason": "string"
}| reason string | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/developers/webhook-deliveries/{id}/retry" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"reason": "string"
}' Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Request body (JSON)
Set credentials in the “Authorize” menu
post
/api/v1/console/developers/webhook-deliveries/retry-failed JWTCreate retry-failed
Request body
application/json
{
"subscriptionId": "00000000-0000-0000-0000-000000000000"
}| subscriptionId string (uuid) | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/developers/webhook-deliveries/retry-failed" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"subscriptionId": "00000000-0000-0000-0000-000000000000"
}' Try itagainst staging · https://staging-api.panoptesos.com
Request body (JSON)
Set credentials in the “Authorize” menu
get
/api/v1/console/developers/webhooks JWTGet webhooks
Query parameters
| IncludeInactive boolean | — |
| EventType string | — |
| Page integer (int32) | — |
| PerPage integer (int32) | — |
| Search string | — |
| Skip integer (int32) | — |
| Sort string | — |
| Dir string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/developers/webhooks" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Query parameters
Set credentials in the “Authorize” menu
post
/api/v1/console/developers/webhooks JWTCreate webhooks
Request body
application/json
{
"url": "string",
"events": [
"string"
],
"apiVersion": "string"
}| url string | — |
| events string[] | — |
| apiVersion string | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/developers/webhooks" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"url": "string",
"events": [
"string"
],
"apiVersion": "string"
}' Try itagainst staging · https://staging-api.panoptesos.com
Request body (JSON)
Set credentials in the “Authorize” menu
get
/api/v1/console/developers/webhooks/{id} JWTGet id
Path parameters
| idrequired string (uuid) | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/developers/webhooks/{id}" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Set credentials in the “Authorize” menu
put
/api/v1/console/developers/webhooks/{id} JWTUpdate id
Path parameters
| idrequired string (uuid) | — |
Request body
application/json
{
"url": "string",
"events": [
"string"
],
"apiVersion": "string",
"active": false
}| url string | — |
| events string[] | — |
| apiVersion string | — |
| active boolean | — |
Responses
200Success
cURL
curl -X PUT "https://staging-api.panoptesos.com/api/v1/console/developers/webhooks/{id}" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"url": "string",
"events": [
"string"
],
"apiVersion": "string",
"active": false
}' Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Request body (JSON)
Set credentials in the “Authorize” menu
delete
/api/v1/console/developers/webhooks/{id} JWTDelete id
Path parameters
| idrequired string (uuid) | — |
Request body
application/json
{
"reason": "string"
}| reason string | — |
Responses
200Success
cURL
curl -X DELETE "https://staging-api.panoptesos.com/api/v1/console/developers/webhooks/{id}" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Set credentials in the “Authorize” menu
post
/api/v1/console/developers/webhooks/{id}/activate JWTCreate activate
Path parameters
| idrequired string (uuid) | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/developers/webhooks/{id}/activate" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Set credentials in the “Authorize” menu
post
/api/v1/console/developers/webhooks/{id}/deactivate JWTCreate deactivate
Path parameters
| idrequired string (uuid) | — |
Request body
application/json
{
"reason": "string"
}| reason string | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/developers/webhooks/{id}/deactivate" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"reason": "string"
}' Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Request body (JSON)
Set credentials in the “Authorize” menu
get
/api/v1/console/developers/webhooks/{id}/deliveries JWTGet deliveries
Path parameters
| idrequired string (uuid) | — |
Query parameters
| SubscriptionId string (uuid) | — |
| Status string | — |
| EventType string | — |
| ResourceType string | — |
| From string (date-time) | — |
| To string (date-time) | — |
| Page integer (int32) | — |
| PerPage integer (int32) | — |
| Search string | — |
| Skip integer (int32) | — |
| Sort string | — |
| Dir string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/developers/webhooks/{id}/deliveries" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Query parameters
Set credentials in the “Authorize” menu
post
/api/v1/console/developers/webhooks/{id}/rotate-secret JWTCreate rotate-secret
Path parameters
| idrequired string (uuid) | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/developers/webhooks/{id}/rotate-secret" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Set credentials in the “Authorize” menu
post
/api/v1/console/developers/webhooks/{id}/test JWTCreate test
Path parameters
| idrequired string (uuid) | — |
Request body
application/json
{
"reason": "string"
}| reason string | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/developers/webhooks/{id}/test" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"reason": "string"
}' Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Request body (JSON)
Set credentials in the “Authorize” menu
get
/api/v1/console/developers/webhooks/event-catalog JWTGet event-catalog
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/developers/webhooks/event-catalog" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Set credentials in the “Authorize” menu
get
/api/v1/console/developers/webhooks/event-types JWTGet event-types
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/developers/webhooks/event-types" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Set credentials in the “Authorize” menu